Author Topic: MySQL Database Server - Failed  (Read 1662 times)

0 Members and 1 Guest are viewing this topic.

Offline
**
MySQL Database Server - Failed
« on: November 29, 2022, 07:39:57 AM »
In cwp, I see that MySQL Database Server is in Failed state

I am unable to start/restart the same

But all websites with mysql are working fine

Quote
● mariadb.service - MariaDB 10.2.44 database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; disabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/mariadb.service.d
           └─migrated-from-my.cnf-settings.conf
   Active: failed (Result: exit-code) since Tue 2022-11-29 08:26:45 CET; 10min ago
     Docs: man:mysqld(8)
           https://mariadb.com/kb/en/library/systemd/
  Process: 13492 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS --basedir=/usr $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
  Process: 13480 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`cd /usr/bin/..; /usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
  Process: 13478 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
 Main PID: 13492 (code=exited, status=1/FAILURE)
   Status: "MariaDB server is down"

Nov 29 08:26:43 server.name.tld mysqld[13492]: 2022-11-29  8:26:43 140005889595584 [ERROR] Plugin 'Aria' init function returned error.
Nov 29 08:26:43 server.name.tld mysqld[13492]: 2022-11-29  8:26:43 140005889595584 [ERROR] Plugin 'Aria' registration as a STORAGE ENGINE failed.
Nov 29 08:26:43 server.name.tld mysqld[13492]: 2022-11-29  8:26:43 140005889595584 [Note] Plugin 'FEEDBACK' is disabled.
Nov 29 08:26:43 server.name.tld mysqld[13492]: 2022-11-29  8:26:43 140005889595584 [ERROR] Aria engine is not enabled or did not start. The Aria engine must be enabled to continue as mysqld was configured with --with-aria-tmp-tables
Nov 29 08:26:43 server.name.tld mysqld[13492]: 2022-11-29  8:26:43 140005889595584 [ERROR] Aborting
Nov 29 08:26:45 server.name.tld mysqld[13492]: Warning: Memory not freed: 520
Nov 29 08:26:45 server.name.tld systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
Nov 29 08:26:45 server.name.tld systemd[1]: Failed to start MariaDB 10.2.44 database server.
Nov 29 08:26:45 server.name.tld systemd[1]: Unit mariadb.service entered failed state.
Nov 29 08:26:45 server.name.tld systemd[1]: mariadb.service failed.

Offline
****
Re: MySQL Database Server - Failed
« Reply #1 on: February 10, 2023, 07:46:40 AM »
Try moving or removing the aria_log_control file, then start mariadb.
Code: [Select]
/var/lib/mysql/aria_log_control

Offline
*
Re: MySQL Database Server - Failed
« Reply #2 on: April 19, 2023, 10:46:41 PM »
Thanks for the post. I had a server that had an issue with it's database server. What can cause this issue with Aria ?

Offline
****
Re: MySQL Database Server - Failed
« Reply #3 on: April 25, 2023, 05:09:16 PM »
Magic ;)
Well, something akin to it -- the brittle nature of some aspects of MariaDB/MySQL. I have had many problems with InnoDB along the way, so make sure you are keeping regular DB dumps (nightly) or you could be bitten by DB corruption.